	import * as THREE from 'three';

	// Beamlines
	export function beamlineUP(param) {
		const length=10000;
		const material = new THREE.MeshBasicMaterial({color: 0xA5D9FD, transparent: true, opacity: 0.4, side: THREE.DoubleSide,});
		const geometry = new THREE.CylinderGeometry(0 /*radiusTop*/, 5 /*radiusBottom*/, length /*height*/, 100 /*radialSegments*/, 2 /*heightSegments*/, false /*openEnded*/,0 /*thetaStart*/, Math.PI * 2 /*thetaLength*/);
		const beamlineUPMesh = new THREE.Mesh(geometry, material);
		beamlineUPMesh.rotateX(Math.PI * 0.5);
		beamlineUPMesh.scale.setZ(100);
		beamlineUPMesh.rotatedX = true;
		return beamlineUPMesh;
	}
